#!/bin/tcsh -f
set path=($path /bin /usr/bin) ## for getconf uname rm echo gcc
set OS=`uname -s`
rm gds2gdt.$OS >& /dev/null
#-----------------------------------------------------------------
set conf=`getconf LFS_CFLAGS`
if ("$conf" == "*-D*") then
  set CCFLAGS="$conf"
else
  set CCFLAGS="-D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
endif

if (`uname -m` == "x86_64") then #for x86_64
  set LIBDIR="/usr/lib64"
  set EXTRA_LIBS="-L. -L/usr/lib64 -lm"
else
  set LIBDIR="/usr/lib"
  set EXTRA_LIBS="-L. -L/usr/lib -lm"
endif

if ("$OS" == "SunOS") then ## some solaris machines need this
  set CC="gcc -m32"
else
  set CC="gcc"
endif

set EXTRA_INCLUDES="-I."
set OPT='-O' ##'-g -pg'

#-----------------------------------------------------------------
rm *.o >& /dev/null

echo $CC $CCFLAGS $EXTRA_INCLUDES sRemoveTrailingZeros ====
$CC $CCFLAGS $EXTRA_INCLUDES sRemoveTrailingZeros.C -c -O -o sRemoveTrailingZeros.o  

echo $CC $CCFLAGS $EXTRA_INCLUDES get_field =======
$CC $CCFLAGS $EXTRA_INCLUDES get_field.c -c -O -o get_field.o  

echo $CC $CCFLAGS $EXTRA_INCLUDES stoupper =======
$CC $CCFLAGS $EXTRA_INCLUDES stoupper.c -c -O -o stoupper.o  

echo $CC $CCFLAGS $EXTRA_INCLUDES sfind =======
$CC $CCFLAGS $EXTRA_INCLUDES sfind.C -c -O -o sfind.o  

echo $CC $CCFLAGS $EXTRA_INCLUDES match_string =======
$CC $CCFLAGS $EXTRA_INCLUDES match_string.C -c -O -o match_string.o 

echo $CC $CCFLAGS $EXTRA_INCLUDES sRemoveSpaces =======
$CC $CCFLAGS $EXTRA_INCLUDES sRemoveSpaces.C -c -O -o sRemoveSpaces.o  

echo $CC $CCFLAGS $EXTRA_INCLUDES sRemoveWhiteSpace ====
$CC $CCFLAGS $EXTRA_INCLUDES sRemoveWhiteSpace.C -c -O -o sRemoveWhiteSpace.o  

echo $CC $CCFLAGS $EXTRA_INCLUDES gdsStream =======
$CC $CCFLAGS $EXTRA_INCLUDES gdsStream.C -c -O -o gdsStream.o -Wno-deprecated

echo $CC $CCFLAGS $EXTRA_INCLUDES $EXTRA_LIBS gds2gdt ======= 
$CC gds2gdt.C $OPT -o gds2gdt.$OS $EXTRA_INCLUDES $EXTRA_LIBS -lstdc++ *.o -Wimplicit -Wreturn-type -Wswitch -Wcomment -Wformat -Wchar-subscripts -Wparentheses -Wpointer-arith -Wcast-qual -Woverloaded-virtual $LIBDIR/libm.a -static -Wno-deprecated

strip gds2gdt.$OS
rm *.o >& /dev/null
echo created gds2gdt.$OS

#-----------------------------------------------------------------
echo $CC $CCFLAGS sRemoveWhiteSpace ====
$CC $CCFLAGS $EXTRA_INCLUDES sRemoveWhiteSpace.C -c $OPT -o sRemoveWhiteSpace.o

echo $CC $CCFLAGS sRemoveTrailingZeros ====
$CC $CCFLAGS $EXTRA_INCLUDES sRemoveTrailingZeros.C -c $OPT -o sRemoveTrailingZeros.o 

echo $CC $CCFLAGS get_field =======
$CC $CCFLAGS $EXTRA_INCLUDES get_field.c -c $OPT -o get_field.o 

echo $CC $CCFLAGS stoupper =======
$CC $CCFLAGS $EXTRA_INCLUDES stoupper.c -c $OPT -o stoupper.o  

echo $CC $CCFLAGS sfind =======
$CC $CCFLAGS $EXTRA_INCLUDES sfind.C -c $OPT -o sfind.o 

echo $CC $CCFLAGS match_string =======
$CC $CCFLAGS $EXTRA_INCLUDES match_string.C -c $OPT -o match_string.o 

echo $CC $CCFLAGS sRemoveSpaces =======
$CC $CCFLAGS $EXTRA_INCLUDES sRemoveSpaces.C -c $OPT -o sRemoveSpaces.o  

echo $CC $CCFLAGS gdsStream =======
$CC $CCFLAGS $EXTRA_INCLUDES gdsStream.C -c $OPT -Wno-deprecated

echo $CC $CCFLAGS gdt2gds ======= 
$CC $CCFLAGS $EXTRA_INCLUDES $EXTRA_LIBS gdt2gds.C $OPT -o gdt2gds.$OS *.o -lstdc++ $LIBDIR/libm.a -static -Wimplicit -Wreturn-type -Wswitch -Wcomment -Wformat -Wchar-subscripts -Wparentheses -Wpointer-arith -Wcast-qual -Woverloaded-virtual -Wno-deprecated

strip gdt2gds.$OS
rm *.o >& /dev/null
echo "created gdt2gds.$OS"

